<?php
if ( ! defined( 'ABSPATH' ) ) { die( '-1' ); }
/*
 * Templatation.com
 *
 * Team for VC
 *
 */

function tt_lc_download_fn_vc() {
	vc_map(
		array(
			"icon" => 'tt-vc-block',
			"name" => esc_html__("Download box", 'logiscargo'),
			"base" => "tt_lc_download_shortcode",
			'description' => esc_html__( 'Custom menu item', 'logiscargo' ),
			"category" => esc_html__('Logiscargo', 'logiscargo'),
			"params" => array(
                array(
                    'type' => 'attach_image',
                    'heading' => esc_html__( 'Brochure image', 'logiscargo' ),
                    'param_name' => 'image',
                    'value' => '',
                    'description' => esc_html__( 'Select image from media library.', 'logiscargo' ),
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Title link', 'logiscargo' ),
                    'param_name' => 'title',
                    'value' => '',
                    'admin_label' => true,
                    'description' => esc_html__( 'Enter link name', 'logiscargo' )
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Link', 'logiscargo' ),
                    'param_name' => 'link',
                    'value' => '',
                    'description' => esc_html__( 'Enter link', 'logiscargo' )
                ),

			)
		)
	);
}

add_action( 'vc_before_init', 'tt_lc_download_fn_vc' );

if(class_exists('WPBakeryShortCode')) {
	class WPBakeryShortCode_tt_lc_download_shortcode extends WPBakeryShortCode {
	}
}